Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface SwitchTree

All Superinterfaces:
  StatementTree, Tree

    public interface SwitchTree
    extends StatementTree

A tree node for a 'switch' statement. For example:

       switch ( expression ) {
         cases
       }

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends CaseTree>` `getCases()` Returns the list of 'case' statements.
`ExpressionTree` `getExpression()` Returns the expression on which this statement switches.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression on which this statement switches.

Returns:
  the switch expression

#### getCases

    List<? extends CaseTree> getCases()

Returns the list of 'case' statements.

Returns:
  the 'case' statements